Jump to content

Elevation marker for 2d architectual drawings/sections


Butch

Recommended Posts

20 minutes ago, Butch said:

Is it possible to add a prefix like "+" or "-" signs?

"-" it's in the code

Image 2.png

Edited by Nikon
Link to comment
Share on other sites

Thanx!

Once the lisp is loaded, the first time it asks for global scale.....how to change the gobal scale latter on?

Is it possible to define custom elevation marker like in the capture (triangle)

Capture.JPG

Link to comment
Share on other sites

1 hour ago, Butch said:

how to change the gobal scale latter on?

It is possible to press ENTER when prompted

In order for the scale (factor, suffix) to be requested at each selection, you need to change 1 string

(defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 scale factor suffix obj# obj)

 

Edited by Nikon
Link to comment
Share on other sites

1 hour ago, Butch said:

elevation marker like in the capture (triangle)

Only the author  @Tsuky can help with the triangle

Link to comment
Share on other sites

Im attaching my elevation marker.

Its made from hatch, line (0,18mm linewidth), and text (wich is either 10 or 20 units high).

Any chance this could be incorporated?

elevation marker.dwg

Link to comment
Share on other sites

@Butch

I incorporated your marker
For the '+' sign I put it as a prefix, there is no other way with the fields (you cannot make conditions in them).
The downside is that for negative numbers it will display '+-'.

If you want to return as before, remove the '+' on line 471 (leaving the comma after)

 

level-pt(Butch).lsp

Edited by Tsuky
Improved code for inserting '+' and '-' sign
  • Like 1
Link to comment
Share on other sites

3 hours ago, Tsuky said:

I incorporated your marker

If you run level-pt(Butch).lsp and level-pt.lsp in the same file, then the blocks are displayed incorrectly, since they have the same name "LEVEL-OBJ".
This name needs to be changed in the level-pt(Butch) lisp, for example,

to "LEVEL-OBJ1", or don't use lisps in the same file.

Edited by Nikon
Link to comment
Share on other sites

@Nikon

I customized it for Butch, I think he will only use this one, so the block names (although you are right) don't matter.
I even took his definition of his marker from his DWG which keeps the same appearance..
Why use a solid hatch when a simple solid has exactly the same appearance, it unnecessarily weighs down its definition.
Its text has a Z at -11.88, why?!!
The properties are of the bylayer and not of the byblock.
Object definition coordinates have decimal places up to the maximum that autocad can display, completely useless for a symbol. Why make it simple when you can make it complicated...

This marker symbol block was done on the fly over the leg in my opinion, so!....

  • Agree 1
Link to comment
Share on other sites

9 hours ago, Tsuky said:

I customized it for Butch

My warning about the block name was in case someone wanted
to test 2 lisps in one file...

Link to comment
Share on other sites

Tsuky thnk you ver yver ymuch for this!

But  there is a problem....see attached....when the elevation marker is set below the reference point, I get + and - signes together.

Can you fix this?

 

Capture.JPG

Link to comment
Share on other sites

20 hours ago, Nikon said:

It is possible to press ENTER when prompted

In order for the scale (factor, suffix) to be requested at each selection, you need to change 1 string

(defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 scale factor suffix obj# obj)

 

Nikon, I dont understand how you managed to "reset" the gobal scale inside the same dwg one you loaded the lisp....Can you please explain this. Thank you

Link to comment
Share on other sites

23 hours ago, Butch said:

Nikon, I dont understand how you managed to "reset" the gobal scale inside the same dwg one you loaded the lisp

No, you probably can't reset it.

But you can choose a new one or repeat the previous one,
if you add a scale to the first line
(defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 factor suffix obj# obj)

(defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 scale factor suffix obj# obj)

 

Edited by Nikon
Link to comment
Share on other sites

@Butch

Finally I managed to solve the problem with the sign "+/-".
I updated your custom code in the relevant post. Please re-upload it.

  • Like 1
Link to comment
Share on other sites

@Nikon

I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-"

  • Like 1
Link to comment
Share on other sites

38 minutes ago, Tsuky said:

@Nikon

I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-"

@Tsuky

That's great!!! Thank you very much!!! ✅💯

***    ***   ***

There is only a question of the orientation of the block to the left...

This cannot be solved by turning...

This is not necessary...

I can use a mirror...

Image 5.png

Edited by Nikon
Link to comment
Share on other sites

45 minutes ago, Tsuky said:

@Butch

Finally I managed to solve the problem with the sign "+/-".
I updated your custom code in the relevant post. Please re-upload it.

Thank you very much! ITS WORKING!

Link to comment
Share on other sites

22 hours ago, Tsuky said:

@Nikon

I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-"

@Tsuky

In the updated code, the LEVEL-REF (0.00) block began to be displayed as 0.
How is it possible to return 0.00, or is it better to make 0.000?
Can you tell me where to fix it?
I succeeded with the field for the LEVEL-OBJ block \\f \"%lu2%pr3%ps["

Image 1.png

Edited by Nikon
Link to comment
Share on other sites

@Nikon

If you want to correlate the precision of the LEVEL-REF block, just change at the line 350
(cons 1 (rtos 0.0 2 2)) -> (cons 1 (rtos 0.0 2 3))
Be carrefull to the value of the DIMZIN variable which can influence the display of leading or trailing zeros.

  • Thanks 1
Link to comment
Share on other sites

42 minutes ago, Tsuky said:

just change at the line 350
(cons 1 (rtos 0.0 2 2)) -> (cons 1 (rtos 0.0 2 3))
Be carrefull to the value of the DIMZIN variable

I have  DIMZIN 8 (metric)

if DIMZIN 0,  then 0.000.

But I work in metric units... It's not clear to me...

Perhaps need to set DIMZIN=0 the code,
and then return the value DIMZIN=8?

Edited by Nikon
Link to comment
Share on other sites

I am changing (cons 1 (rtos 0.0 2 3)), 
I add it at the beginning of the code:

(setq olddimzin (getvar 'dimzin))
(setvar 'dimzin 0)

and at the end of the code

(setvar "dimzin" olddimzin)

block 0 is displayed as 0.000

Can add a mirror request to the code? Or is it difficult?

Image 1.png

Edited by Nikon
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...